Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOBJReader Class Reference

`#include <vtkOBJReader.h>`

Inheritance diagram for vtkOBJReader:

[legend]
Collaboration diagram for vtkOBJReader:

[legend]
List of all members.

## Detailed Description

read Wavefront .obj files

Date:
  2002/05/31 23:12:41

Revision:
  1.20

vtkOBJReader is a source object that reads Wavefront .obj files. The output of this source object is polygonal data.

See also:
  vtkOBJImporter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (50%)
  - Lorensen, Bill (30%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkOBJReader.h)`
  - .`cxx` (`/IO/vtkOBJReader.cxx)`

Tests:
  vtkOBJReader (Tests)

Definition at line 48 of file vtkOBJReader.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
## Static Public Methods
vtkOBJReader * | New ()
int | IsTypeOf (const char *type)
vtkOBJReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOBJReader ()
| ~vtkOBJReader ()
void | Execute ()
## Protected Attributes
char * | FileName

## Member Typedef Documentation

typedef vtkPolyDataSource vtkOBJReader::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 52 of file vtkOBJReader.h.

## Constructor & Destructor Documentation

vtkOBJReader::vtkOBJReader | ( |  | ) | `[protected]`

vtkOBJReader::~vtkOBJReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOBJReader* vtkOBJReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkOBJReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkOBJReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkOBJReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkOBJReader* vtkOBJReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkOBJReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkOBJReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of Wavefront .obj file.

virtual char* vtkOBJReader::GetFileName | ( |  | ) | `[virtual]`

| Specify file name of Wavefront .obj file.

void vtkOBJReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

char* vtkOBJReader::FileName`[protected]`

| Definition at line 67 of file vtkOBJReader.h.

The documentation for this class was generated from the following file:

- IO/vtkOBJReader.h